package controllers;

import java.util.ArrayList;
import java.util.List;

import com.avaje.ebean.Ebean;
import com.avaje.ebean.Model;

import models.Group;
import play.*;
import play.data.Form;
import play.libs.Json;
import play.mvc.*;
import play.mvc.Http.RequestBody;
import views.html.*;

public class Application extends Controller {

    public Result index() {
    	List<Group> groups = new ArrayList<Group>();
    	groups.add(new Group("Bob Marley and the Wailers"));
    	groups.add(new Group("Eric Clapton Solo"));
    	groups.add(new Group("George Harrison Solo"));
    	groups.add(new Group("Travelling Wilburys"));
    	groups.add(new Group("Tom Petty and the Heartbreakers"));
		groups.add(new Group("Fleetwood Mac"));
		groups.add(new Group("The Eagles"));
    	
        return ok(views.html.index.render("Your new application is ready.",groups));
    }

    public Result notAllowed() {
    	return unauthorized("You can't see this page.");
    }
    
    public Result createGroup() {
    	Group group = Form.form(Group.class).bindFromRequest().get();
    	group.save();
    	return redirect(routes.Application.index());
    }
    public Result createGroupJSON() {
    	Group group = Form.form(Group.class).bindFromRequest().get();
    	group.save();
    	return ok("{\"message\":\"Added a Group!\"}");
    }
    
    public Result loadGroups() {
    	//List<Group> groups = Ebean.find(models.Group.class).findList();
    	List<Group> groups = Group.find.all();
    	return ok(Json.toJson(groups).toString());
    }
}
